commit:     2ea8c495a7902eb08abdd2e4c0c7d660eb87bbad
Author:     neeshy <neeshy <AT> tfwno <DOT> gf>
AuthorDate: Wed Sep 20 18:42:34 2023 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Wed Jan 17 09:27:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ea8c495

dev-java/xalan-serializer: build against java >=8

Signed-off-by: Nima Sadeghi <neeshy <AT> tfwno.gf>
Closes: https://github.com/gentoo/gentoo/pull/34852
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 .../xalan-serializer-2.7.3-r1.ebuild               | 46 ++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/dev-java/xalan-serializer/xalan-serializer-2.7.3-r1.ebuild 
b/dev-java/xalan-serializer/xalan-serializer-2.7.3-r1.ebuild
new file mode 100644
index 000000000000..3234313f6ab6
--- /dev/null
+++ b/dev-java/xalan-serializer/xalan-serializer-2.7.3-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="xalan:serializer:2.7.3"
+
+inherit java-pkg-2 java-pkg-simple verify-sig
+
+DESCRIPTION="Transforming XML documents into HTML, text, or other XML document 
types"
+HOMEPAGE="https://xalan.apache.org/";
+SRC_URI="mirror://apache/xalan/xalan-j/source/xalan-j_${PV//./_}-src.tar.gz
+       verify-sig? ( 
https://downloads.apache.org/xalan/xalan-j/source/xalan-j_${PV//./_}-src.tar.gz.asc
 )"
+
+S="${WORKDIR}/xalan-j_${PV//./_}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x64-solaris"
+
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-apache-xalan-j )"
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/xalan-j.apache.org.asc"
+
+JAVA_MAIN_CLASS="org.apache.xml.serializer.Version"
+JAVA_RESOURCE_DIRS="resources"
+JAVA_SRC_DIR="src"
+
+src_prepare() {
+       java-pkg-2_src_prepare
+       # kill all non-serializer sources to ease javadocs and dosrc
+       find src/org/ -type f ! -path "src/org/apache/xml/serializer/*" -delete 
|| die
+
+       # java-pkg-simple.eclass wants resources in JAVA_RESOURCE_DIRS
+       mkdir -p resources || die
+       pushd src > /dev/null || die
+       find org -type f \
+               ! -name '*.java' \
+               ! -name 'Version.src' \
+               ! -name 'package.html' \
+               | xargs cp --parent -t ../resources || die
+       popd > /dev/null || die
+}

Reply via email to